## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

# https://github.com/opentofu/opentofu
%global goipath         github.com/opentofu/opentofu
Version:                1.9.1

%gometa -L -f

%global common_description %{expand:
OpenTofu lets you declaratively manage your cloud infrastructure.}

Name:           opentofu
Release:        %autorelease
Summary:        OpenTofu lets you declaratively manage your cloud infrastructure

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND Unlicense
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

# Fix: Ensure constant format strings in fmt and printf calls
Patch:          %{forgeurl}/commit/66765bdab3a052fb6a58d59f9def6fc4bbf38d56.patch
# plans/objchange: Fix go vet warnings
Patch:          %{forgeurl}/commit/e70913a609eb65e7e610b9a6b9e0665788df7198.patch

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export LDFLAGS="-X github.com/opentofu/opentofu/version.dev=no \
                -X main.version=v%{version} "
%gobuild -o %{gobuilddir}/bin/tofu %{goipath}/cmd/tofu

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
# TestResourceProvider_ApplyCustomWorkingDirectory fails always
# TestGet_cancel & TestInit_cancelModules randomly fail for ppc64le and s390x
for test in "TestResourceProvider_ApplyCustomWorkingDirectory" "TestGet_cancel" \
            "TestInit_cancelModules" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs CODE_OF_CONDUCT.md SECURITY.md CHANGELOG.md CONTRIBUTING.md README.md
%doc TSC_SUMMARY.md WEEKLY_UPDATES.md
%{_bindir}/tofu

%changelog
## START: Generated by rpmautospec
* Wed May 14 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.9.1-1
- Update to 1.9.1 - Closes rhbz#2362077 rhbz#2354430 rhbz#2352319
  rhbz#2350839 rhbz#2348836 rhbz#2339349

* Mon Mar 24 2025 Maxwell G <maxwell@gtmx.me> - 1.9.0-4
- Add patch to fix FTBFS with Go 1.24 (rhbz#2340978)

* Sun Mar 23 2025 Maxwell G <maxwell@gtmx.me> - 1.9.0-3
- Add missing licensing files not detected by trivy

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.9.0-1
- Update to 1.9.0 - Closes rhbz#2334215

* Thu Dec 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.7-1
- Update to 1.8.7 - Closes rhbz#2330566

* Wed Nov 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.6-1
- Update to 1.8.6 - Closes rhbz#2328111

* Wed Nov 06 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.5-1
- Update to 1.8.5 - Closes rhbz#2324149

* Fri Oct 25 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.4-1
- Update to 1.8.4 - Closes rhbz#2321504

* Sat Oct 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.3-1
- Update to 1.8.3 - Closes rhbz#2310320

* Fri Aug 09 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.1-1
- Update to 1.8.1 - Closes rhbz#2303851

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.0-1
- Update to 1.8.0 - Closes rhbz#2300353

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.3-3
- Fix for CVE-2024-6257 CVE-2024-6104 CVE-2024-24789 - Closes rhbz#2294255
  rhbz#2294007 rhbz#2292714

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.3-1
- Update to 1.7.3 - Closes rhbz#2296994

* Tue Jun 04 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.2-1
- Update to 1.7.2 - Closes rhbz#2290348

* Sat May 11 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.1-1
- Update to 1.7.1

* Wed May 01 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.0-1
- Update to 1.7.0 - Closes rhbz#2278018

* Fri Feb 23 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.2-1
- Update to 1.6.2 - Closes rhbz#2265533

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.6.1-3
- Rebuild for golang 1.22.0

* Thu Feb 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-2
- Don't include devel files

* Mon Feb 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-1
- Initial package - Closes rhbz#2258867
## END: Generated by rpmautospec
